run eschalon book 1 on newer distributions

Linux support forum for Eschalon: Book I
Post Reply
wuji
Apprentice
Posts: 28
Joined: January 9th, 2008, 11:28 pm

run eschalon book 1 on newer distributions

Post by wuji » May 29th, 2010, 11:42 am

I've just found out that I can't get eb1 to run on standard debian because it wants older libopenal which isn't in the distribution anymore. Is there any plan to recompile binaries for newer platforms or is it just too bad?

Gusnan
Pledge
Posts: 3
Joined: April 30th, 2009, 12:26 am

Re: run eschalon book 1 on newer distributions

Post by Gusnan » May 30th, 2010, 4:23 am

Are you sure that is the problem? I have got it working fine on Debian Testing (which indeed is even newer). Are you on a 32 or 64-bit system?

Though, I should mention that I run into not having sound if having my musicplayer started or my browser showing any video when starting Eschalon. Other than that I've got Escahlon Book 1 running just fine on Debian.

Book 2 is another story though...

wuji
Apprentice
Posts: 28
Joined: January 9th, 2008, 11:28 pm

Re: run eschalon book 1 on newer distributions

Post by wuji » May 30th, 2010, 4:55 am

The binary tries to open libopenal0 which is in etch but not in lenny and newer distributions. The problem is, that this will keep happening with other libraries and in a year, I'll have to keep running different distribution for every binary only package I have.

User avatar
CycyX
Fellowcraft Apprentice
Posts: 48
Joined: May 26th, 2010, 7:54 am
Location: France
Contact:

Re: run eschalon book 1 on newer distributions

Post by CycyX » May 31st, 2010, 4:32 am

Well, I'm running ArchLinux (rolling distro), so I'm quite sure it's most recent than your Debian, and still, Book I runs flawlessly.

Plus, Book I is not even linked against libopenal...
ldd32 Eschalon\ Book\ I
linux-gate.so.1 => (0xf7737000)
libX11.so.6 => /opt/lib32/usr/lib/libX11.so.6 (0xf7602000)
libGL.so.1 => /opt/lib32/usr/lib/libGL.so.1 (0xf753e000)
libGLU.so.1 => /opt/lib32/usr/lib/libGLU.so.1 (0xf74d0000)
libXxf86vm.so.1 => /opt/lib32/usr/lib/libXxf86vm.so.1 (0xf74cb000)
libstdc++.so.6 => /opt/lib32/usr/lib/libstdc++.so.6 (0xf73db000)
libm.so.6 => /opt/lib32/lib/libm.so.6 (0xf73b6000)
libgcc_s.so.1 => /opt/lib32/usr/lib/libgcc_s.so.1 (0xf739a000)
libpthread.so.0 => /opt/lib32/lib/libpthread.so.0 (0xf7381000)
libc.so.6 => /opt/lib32/lib/libc.so.6 (0xf7235000)
libdl.so.2 => /opt/lib32/lib/libdl.so.2 (0xf7230000)
libxcb.so.1 => /opt/lib32/usr/lib/libxcb.so.1 (0xf7218000)
libGLcore.so.1 => /opt/lib32/usr/lib/libGLcore.so.1 (0xf5c08000)
libnvidia-tls.so.1 => /opt/lib32/usr/lib/libnvidia-tls.so.1 (0xf5c06000)
libXext.so.6 => /opt/lib32/usr/lib/libXext.so.6 (0xf5bf8000)
/lib/ld-linux.so.2 (0xf7738000)
libXau.so.6 => /opt/lib32/usr/lib/libXau.so.6 (0xf5bf4000)
libXdmcp.so.6 => /opt/lib32/usr/lib/libXdmcp.so.6 (0xf5bef000)
In order for you to launch the game, have you tried symlinking libopnalX to libopenal0?

wuji
Apprentice
Posts: 28
Joined: January 9th, 2008, 11:28 pm

Re: run eschalon book 1 on newer distributions

Post by wuji » May 31st, 2010, 5:43 am

libopenal isn't dynamicly linked but dynamicaly loaded, that's why ldd doesn't show it. strace or running with LD_DEBUG=files shows system calls opening that library. And to make it more interesting, eschalon needs libopenal0 which was last packaged in debian etch.
Eschalon needs a lot of libraries because those directly linked in turn need other libraries of specific versions. And in the end of it all there's always libc with all it's interesting quirks. That's why binary only stuff under linux is such a pain. If it doesn't have a maintainer it's sort of "I pay for playing it now and then just throw it away".

The curious situation is, that I couldn't run eb1 because of libraries that are too old and I can't run eb2 because even debian sid is too old for the required libc:)

User avatar
CycyX
Fellowcraft Apprentice
Posts: 48
Joined: May 26th, 2010, 7:54 am
Location: France
Contact:

Re: run eschalon book 1 on newer distributions

Post by CycyX » May 31st, 2010, 6:11 am

Well I agree with your point of view re games for Linux. Obviously the solution is to provide libraries packaged with the game (Introversion, Frictional Games, etc).

Also, you can always change your Debian for something more suitable to play games! :wink:

wuji
Apprentice
Posts: 28
Joined: January 9th, 2008, 11:28 pm

Re: run eschalon book 1 on newer distributions

Post by wuji » May 31st, 2010, 7:07 am

I've been running debian for 12 year's now and I make my living using debian. None of the other distributions provide anything that would motivate me to switch. Most of them are just bloated debian anyway :D

Getting weird things to run is part of the fun with linux because it is an opportunity to learn new things and find out about quirks, but in the end it's up to the binary provider to make it sane enought to work. If it doesn't, as is the case with eb2, it's actually the provider's problem, not mine. It only assures me that my distrust of binary only stuff is justified and that I'll be less inclined to pay for anything binary only in the future. That's why I buy intel only hardware for myself and for all the servers/routers I build and use.

I understand that linux is hard to provide binary only software for, because all the people that make it work don't give a damn about library compatibilites. Opensource that is used is upgraded and software (binary/opensource) that nobody cares about is just dropped along the way. That's called Evolution.

That's why I don't bitch too much about Eschalon not running properly and me having to do magic to get it to work. But in the end if I'm not motivated to pay for software I don't pay for it :D That's called Market economy.

The Noid
Fellowcraft Apprentice
Posts: 53
Joined: September 11th, 2008, 6:54 am

Re: run eschalon book 1 on newer distributions

Post by The Noid » June 1st, 2010, 1:21 pm

I'm running Debian sid, and it runs just fine here, without openal0:

3534: calling init: /usr/lib/libopenal.so
3534:
3534: opening file=/usr/lib/libopenal.so [0]; direct_opencount=1


dpkg -S /usr/lib/libopenal.so
libopenal-dev: /usr/lib/libopenal.so

So installing libopenal-dev might fix your problem.

wuji
Apprentice
Posts: 28
Joined: January 9th, 2008, 11:28 pm

Re: run eschalon book 1 on newer distributions

Post by wuji » June 4th, 2010, 12:42 pm

what version do you run? I've had the problem with v1.04. v1.05 works out of the box. I think that it uses libopenal1 but I'm too lazy to check.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests